<div class="form-group my-form" [formGroup]='loginForm'>
	<div class="row font-weight-bold" style="margin: 10px">
		<div class="col-1 offset-3 justify-content-left">Overview</div>
		<div *ngIf=saved style="color: green">Changes Saved</div>
	</div>
	<div class="row form-group justify-content-center" id="title"> 
		<mat-icon class="icon-normal">person</mat-icon>
		<div class="text-dotted col-5 align-row-items" id="title">
			<label for="title" class="col-2 control-label">Title:</label>
			<input type="text" class="form-control border-0 col-6 form-control-sm" name="user" formControlName='title' placeholder="Add a title">
			<button class="btn shadow-none col-1" (click)="editInput($event)" *ngIf="show.title"><mat-icon class="blue-color">edit</mat-icon></button>
			<button class="btn shadow-none" (click)="saveInput($event)" *ngIf=!show.title><mat-icon class="icon-green">check_circle</mat-icon></button>
			<button class="btn shadow-none" (click)="discardInput($event)" *ngIf=!show.title><mat-icon class="icon-red">close</mat-icon></button> 
		</div>
	</div>
	<div class="row form-group justify-content-center">
		<mat-icon class="icon-normal">email</mat-icon>
		<div class=" col-5 align-row-items">
			<label for="mail" class="col-2">Email:</label>
			<input type="text" class="form-control border-0 col-6 form-control-sm blue-color" name="text" formControlName='mail'>
			<button class="btn shadow-none" [cdkCopyToClipboard]="mailCopy"><mat-icon class="blue-color">content_copy</mat-icon></button>
		</div>
	</div>
	<div class="row form-group justify-content-center">
		<mat-icon class="icon-normal">phone</mat-icon>
		<div class="text-dotted col-5 align-row-items" id="phone">
			<label for="phone" class="col-2">Phone:</label>
			<input type="text" class="form-control border-0 col-6 form-control-sm" name="phone" formControlName='phone' placeholder="Add a phone number">
			<button class="btn shadow-none" (click)="editInput($event)" *ngIf="show.phone"><mat-icon class="blue-color">edit</mat-icon></button>
			<button class="btn shadow-none" (click)="saveInput($event)" *ngIf=!show.phone><mat-icon class="icon-green">check_circle</mat-icon></button>
			<button class="btn shadow-none" (click)="discardInput($event)" *ngIf=!show.phone><mat-icon class="icon-red">close</mat-icon></button> 
		</div>
	</div>
	<div class="row form-group justify-content-center">
		<mat-icon class="icon-normal">location_on</mat-icon>
		<div class="text-dotted col-5 align-row-items" id="location">
			<label for="location" class="col-2">Location:</label>
			<input type="text" class="form-control border-0 col-6 form-control-sm" name="location" formControlName='location' placeholder="Add a location">
			<button class="btn shadow-none" (click)="editInput($event)" *ngIf="show.location"><mat-icon class="blue-color">edit</mat-icon></button>
			<button class="btn shadow-none" (click)="saveInput($event)" *ngIf=!show.location><mat-icon class="icon-green">check_circle</mat-icon></button>
			<button class="btn shadow-none" (click)="discardInput($event)" *ngIf=!show.location><mat-icon class="icon-red">close</mat-icon></button> 
		</div>
	</div>
	<div class="row form-group justify-content-center">
		<mat-icon class="blue-color">access_time</mat-icon>
		<div class="col-5 align-row-items">
			<label for="timeZone" class="col-2">Timezone:</label>
			<input type="text" class="form-control border-0 col-6 form-control-sm blue-color" name="timeZone" formControlName='timeZone'>
			<button class="btn shadow-none" [cdkCopyToClipboard]="timeZoneCopy"><mat-icon class="blue-color">content_copy</mat-icon></button>
		</div>
	</div>
	<mat-divider ></mat-divider>
	<div class="col" formGroupName='secure'>
		<div class="row font-weight-bold" style="margin: 10px">
			<div class="col-2 offset-3 justify-content-left">Change Your Password</div>
		</div>
		<div class="row form-group">
			<label for="currentPassword" class="col-2 offset-3">Current Password</label>
			<div class="text-solid col-3 align-row-items">
				<input type="password" class="form-control border-0 col-10 form-control-sm" name="currentPassword" formControlName='currentPassword'>
			</div>
		</div>
		<div class="row form-group">
			<label for="newPassword" class="col-2 offset-3">New Password</label>
			<div class="text-solid col-3 align-row-items">
				<input type="password" class="form-control border-0 col-10 form-control-sm" name="newPassword" formControlName='newPassword' (input)="checkPassword()">
				<div style="color: red">{{percentage}}</div>
				<div  style="color: green">/100</div>
			</div>
		</div>
		<div class="row form-group">
			<label for="confimPassword" class="col-2 offset-3">Re-type Password</label>
			<div class="text-solid col-3 align-row-items">
				<input type="password" class="form-control border-0 col-9 form-control-sm" name="confimPassword" formControlName='confimPassword'>
				<button class="btn shadow-none" (click)="discardPassword()" *ngIf=inCorrect><mat-icon class="icon-red">close</mat-icon></button>
				<button class="btn shadow-none" (click)="savePassword()" *ngIf=correct><mat-icon class="icon-green">check_circle</mat-icon></button>
			</div>
		</div>
	</div>
	<div style="margin-top: 25px;margin-left: 50px">
		<button type="submit" class="btn btn-primary offset-5" [cdkCopyToClipboard]="loginForm" (click)='checkDetails()' name="submit">Save Changes</button>
		<div>{{details}}</div>
	</div>
</div>

